Alien::Build::Plugin::Extract::Directory(3)

NAME
Alien::Build::Plugin::Extract::Directory - Plugin to extract a downloaded directory to a build directory

VERSION
version 2.84

SYNOPSIS
 use alienfile;
 plugin 'Extract::Directory';

DESCRIPTION
Some Download or Fetch plugins may produce a directory instead of an archive file. This plugin is used to mirror the directory from the Download step into a fresh directory in the Extract step. An example of when you might use this plugin is if you were using the "git" command in the Download step, which results in a directory hierarchy.

PROPERTIES

  format
Should always set to "d" (for directories).

METHODS

  handles
 Alien::Build::Plugin::Extract::Directory->handles($ext);
 $plugin->handles($ext);

Returns true if the plugin is able to handle the archive of the given format. Only returns true for "d" (for directory).

  available
 Alien::Build::Plugin::Extract::Directory->available($ext);
 $plugin->available($ext);

Returns true if the plugin can extract the given format with what is already installed.

SEE ALSO
Alien::Build::Plugin::Extract::Negotiate, Alien::Build::Plugin::Extract::File, Alien::Build, alienfile, Alien::Build::MM, Alien

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Diab Jerius (DJERIUS)

Roy Storey (KIWIROY)

Ilya Pavlov

David Mertens (run4flat)

Mark Nunberg (mordy, mnunberg)

Christian Walde (Mithaldu)

Brian Wightman (MidLifeXis)

Zaki Mughal (zmughal)

mohawk (mohawk2, ETJ)

Vikas N Kumar (vikasnkumar)

Flavio Poletti (polettix)

Salvador Fandiño (salva)

Gianni Ceccarelli (dakkar)

Pavel Shaydo (zwon, trinitum)

Kang-min Liu (劉康民, gugod)

Nicholas Shipp (nshp)

Juan Julián Merelo Guervós (JJ)

Joel Berger (JBERGER)

Petr Písař (ppisar)

Lance Wicks (LANCEW)

Ahmad Fatoum (a3f, ATHREEF)

José Joaquín Atria (JJATRIA)

Duke Leto (LETO)

Shoichi Kaji (SKAJI)

Shawn Laffan (SLAFFAN)

Paul Evans (leonerd, PEVANS)

Håkon Hægland (hakonhagland, HAKONH)

nick nauwelaerts (INPHOBIA)

Florian Weimer

COPYRIGHT AND LICENSE
This software is copyright (c) 2011-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.